## libwebm 1.0.0.27+git20201124.485fb67

=== CMakeLists.txt ===
##  Copyright (c) 2015 The WebM project authors. All Rights Reserved.
##
##  Use of this source code is governed by a BSD-style license
##  that can be found in the LICENSE file in the root of the source
##  tree. An additional intellectual property rights grant can be found
##  in the file PATENTS.  All contributing project authors may
##  be found in the AUTHORS file in the root of the source tree.
cmake_minimum_required(VERSION 3.2)
project(LIBWEBM CXX)

include(GNUInstallDirs)
include("${CMAKE_CURRENT_SOURCE_DIR}/build/cxx_flags.cmake")

if (NOT BUILD_SHARED_LIBS)
  include("${CMAKE_CURRENT_SOURCE_DIR}/build/msvc_runtime.cmake")
endif ()

set(LIBWEBM_SRC_DIR "${CMAKE_CURRENT_SOURCE_DIR}")

# Build/test configuration flags.
option(ENABLE_WEBMTS "Enables WebM PES/TS support." ON)
option(ENABLE_WEBMINFO "Enables building webm_info." ON)
option(ENABLE_TESTS "Enables tests." OFF)
option(ENABLE_IWYU "Enables include-what-you-use support." OFF)
option(ENABLE_WERROR "Enable warnings as errors." OFF)
option(ENABLE_WEBM_PARSER "Enables new parser API." OFF)

if(WIN32)
  require_cxx_flag_nomsvc("-std=gnu++11")
else()
  require_cxx_flag_nomsvc("-std=c++11")
endif()

add_cxx_preproc_definition("__STDC_CONSTANT_MACROS")
add_cxx_preproc_definition("__STDC_FORMAT_MACROS")
add_cxx_preproc_definition("__STDC_LIMIT_MACROS")

# Set up compiler flags and build properties.
include_directories("${LIBWEBM_SRC_DIR}")

if (MSVC)
  add_cxx_flag_if_supported("/W4")
  # Disable MSVC warnings that suggest making code non-portable.
  add_cxx_flag_if_supported("/wd4996")
  if (ENABLE_WERROR)
    add_cxx_flag_if_supported("/WX")
  endif ()
else ()
  add_cxx_flag_if_supported("-Wall")
  add_cxx_flag_if_supported("-Wextra")
  add_cxx_flag_if_supported("-Wnarrowing")
  add_cxx_flag_if_supported("-Wno-deprecated")
  add_cxx_flag_if_supported("-Wshorten-64-to-32")
  if (ENABLE_WERROR)
    add_cxx_flag_if_supported("-Werror")
  endif ()
endif ()

# Source list variables.
set(dumpvtt_sources "${LIBWEBM_SRC_DIR}/dumpvtt.cc")

set(libwebm_common_sources
    "${LIBWEBM_SRC_DIR}/common/file_util.cc"
    "${LIBWEBM_SRC_DIR}/common/file_util.h"
    "${LIBWEBM_SRC_DIR}/common/hdr_util.cc"
    "${LIBWEBM_SRC_DIR}/common/hdr_util.h"
    "${LIBWEBM_SRC_DIR}/common/webmids.h")

set(mkvmuxer_sources
    "${LIBWEBM_SRC_DIR}/mkvmuxer/mkvmuxer.cc"
    "${LIBWEBM_SRC_DIR}/mkvmuxer/mkvmuxer.h"
    "${LIBWEBM_SRC_DIR}/mkvmuxer/mkvmuxertypes.h"
    "${LIBWEBM_SRC_DIR}/mkvmuxer/mkvmuxerutil.cc"
    "${LIBWEBM_SRC_DIR}/mkvmuxer/mkvmuxerutil.h"
    "${LIBWEBM_SRC_DIR}/mkvmuxer/mkvwriter.cc"
    "${LIBWEBM_SRC_DIR}/mkvmuxer/mkvwriter.h"
    "${LIBWEBM_SRC_DIR}/common/webmids.h")

set(mkvmuxer_sample_sources
    "${LIBWEBM_SRC_DIR}/mkvmuxer_sample.cc"
    "${LIBWEBM_SRC_DIR}/sample_muxer_metadata.cc"
    "${LIBWEBM_SRC_DIR}/sample_muxer_metadata.h")

set(mkvmuxer_tests_sources
    "${LIBWEBM_SRC_DIR}/testing/mkvmuxer_tests.cc"
    "${LIBWEBM_SRC_DIR}/testing/test_util.cc"
    "${LIBWEBM_SRC_DIR}/testing/test_util.h")

set(mkvparser_sources
    "${LIBWEBM_SRC_DIR}/mkvparser/mkvparser.cc"
    "${LIBWEBM_SRC_DIR}/mkvparser/mkvparser.h"
    "${LIBWEBM_SRC_DIR}/mkvparser/mkvreader.cc"
    "${LIBWEBM_SRC_DIR}/mkvparser/mkvreader.h"
    "${LIBWEBM_SRC_DIR}/common/webmids.h")

set(mkvparser_sample_sources "${LIBWEBM_SRC_DIR}/mkvparser_sample.cc")
set(mkvparser_tests_sources
    "${LIBWEBM_SRC_DIR}/testing/mkvparser_tests.cc"
    "${LIBWEBM_SRC_DIR}/testing/test_util.cc"
    "${LIBWEBM_SRC_DIR}/testing/test_util.h")

set(vp9_header_parser_tests_sources
    "${LIBWEBM_SRC_DIR}/common/vp9_header_parser_tests.cc"
    "${LIBWEBM_SRC_DIR}/common/vp9_header_parser.cc"
    "${LIBWEBM_SRC_DIR}/common/vp9_header_parser.h"
    "${LIBWEBM_SRC_DIR}/testing/test_util.cc"
    "${LIBWEBM_SRC_DIR}/testing/test_util.h")

set(vp9_level_stats_tests_sources
    "${LIBWEBM_SRC_DIR}/common/vp9_header_parser.cc"
    "${LIBWEBM_SRC_DIR}/common/vp9_header_parser.h"
    "${LIBWEBM_SRC_DIR}/common/vp9_level_stats_tests.cc"
    "${LIBWEBM_SRC_DIR}/common/vp9_level_stats.cc"
    "${LIBWEBM_SRC_DIR}/common/vp9_level_stats.h"
    "${LIBWEBM_SRC_DIR}/testing/test_util.cc"
    "${LIBWEBM_SRC_DIR}/testing/test_util.h")

set(vttdemux_sources
    "${LIBWEBM_SRC_DIR}/vttdemux.cc"
    "${LIBWEBM_SRC_DIR}/webvtt/webvttparser.cc"
    "${LIBWEBM_SRC_DIR}/webvtt/webvttparser.h")

set(webm_parser_public_headers
    "${LIBWEBM_SRC_DIR}/webm_parser/include/webm/buffer_reader.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/include/webm/callback.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/include/webm/dom_types.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/include/webm/element.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/include/webm/file_reader.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/include/webm/id.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/include/webm/istream_reader.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/include/webm/reader.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/include/webm/status.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/include/webm/webm_parser.h")

set(webm_parser_sources
    ${webm_parser_public_headers}
    "${LIBWEBM_SRC_DIR}/webm_parser/src/ancestory.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/ancestory.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/audio_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/bit_utils.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/bit_utils.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/block_additions_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/block_group_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/block_header_parser.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/block_header_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/block_more_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/block_parser.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/block_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/bool_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/buffer_reader.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/byte_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/callback.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/chapter_atom_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/chapter_display_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/chapters_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/cluster_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/colour_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/content_enc_aes_settings_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/content_encoding_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/content_encodings_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/content_encryption_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/cue_point_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/cue_track_positions_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/cues_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/date_parser.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/date_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/ebml_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/edition_entry_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/element_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/file_reader.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/float_parser.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/float_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/id_element_parser.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/id_element_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/id_parser.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/id_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/info_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/int_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/istream_reader.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/master_parser.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/master_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/master_value_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/mastering_metadata_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/parser_utils.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/parser_utils.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/projection_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/recursive_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/seek_head_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/seek_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/segment_parser.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/segment_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/simple_tag_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/size_parser.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/size_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/skip_callback.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/skip_parser.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/skip_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/slices_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/tag_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/tags_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/targets_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/time_slice_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/track_entry_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/tracks_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/unknown_parser.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/unknown_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/var_int_parser.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/var_int_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/video_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/virtual_block_parser.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/virtual_block_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/void_parser.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/void_parser.h"
    "${LIBWEBM_SRC_DIR}/webm_parser/src/webm_parser.cc")

set(webm_parser_demo_sources "${LIBWEBM_SRC_DIR}/webm_parser/demo/demo.cc")
set(webm_parser_tests_sources
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/audio_parser_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/bit_utils_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/block_additions_parser_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/block_group_parser_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/block_header_parser_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/block_more_parser_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/block_parser_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/bool_parser_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/buffer_reader_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/byte_parser_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/callback_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/chapter_atom_parser_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/chapter_display_parser_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/chapters_parser_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/cluster_parser_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/colour_parser_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/content_enc_aes_settings_parser_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/content_encoding_parser_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/content_encodings_parser_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/content_encryption_parser_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/cue_point_parser_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/cue_track_positions_parser_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/cues_parser_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/date_parser_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/ebml_parser_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/edition_entry_parser_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/element_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/float_parser_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/id_element_parser_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/id_parser_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/info_parser_test.cc"
    "${LIBWEBM_SRC_DIR}/webm_parser/tests/int_parser_test.cc"

=== debian/changelog ===
libwebm (1.0.0.27+git20201124.485fb67-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 25 Feb 2021 11:30:58 -0800

libwebm (1.0.0.27+git20201124.485fb67-2) unstable; urgency=medium

  * Remove duplicated inclusion of -lpthread and -latomic
  * Bump copyright year
  * Upload to unstable.

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 21 Jan 2021 20:25:40 +0000

libwebm (1.0.0.27+git20201124.485fb67-1) experimental; urgency=medium

  * Initial upload (Closes: #977760)

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 10 Jan 2021 16:55:33 +0100

=== debian/control ===
Source: libwebm
Priority: optional
Section: libs
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 12),
               libgmock-dev (>= 1.10),
               libgtest-dev (>= 1.10),
               pkg-config,
               python3
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://chromium.googlesource.com/webm/libwebm
Vcs-Git: https://salsa.debian.org/multimedia-team/libwebm.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libwebm

Package: libwebm1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: WebM parser library
 This library provides WebM parser and related tools. It is
 developed by Google as part of Chromium project, but can be
 used in other projects.

Package: libwebm-tools
Section: video
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: WebM parser library (binary tools)
 This library provides WebM parser and related tools. It is
 developed by Google as part of Chromium project, but can be
 used in other projects.
 .
 This package installs tools: webm_info, vttdemux etc.

Package: libwebm-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libwebm1 (= ${binary:Version}), ${misc:Depends}
Description: WebM parser library (development files)
 This library provides WebM parser and related tools. It is
 developed by Google as part of Chromium project, but can be
 used in other projects.
 .
 This package installs only files needed for development:
 header, libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_STRIP  = -O2
export DEB_CXXFLAGS_MAINT_STRIP = -O2
export DEB_CFLAGS_MAINT_APPEND  = -O3 -fPIC -pie
export DEB_CXXFLAGS_MAINT_APPEND = -O3 -fPIC -pie

# Build tests by default but honor "nocheck" setting

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_OPTS := -DENABLE_TESTS=ON
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=ReleaseWithDebInfo \
            -DBUILD_SHARED_LIBS=ON \
            -DENABLE_IWYU=ON \
            -DENABLE_WEBM_PARSER=ON \
            ${CONFIGURE_OPTS} \
            -DUSE_LTO=1

override_dh_auto_test:
	cd obj-$(DEB_HOST_GNU_TYPE) && \
		export LIBWEBM_TEST_DATA_PATH=../testing/testdata && \
		./mkvmuxer_tests && \
		./mkvparser_tests && \
		./vp9_header_parser_tests && \
		./vp9_level_stats_tests && \
		./webm2pes_tests && \
		./webm_parser_tests && \
		unset LIBWEBM_TEST_DATA_PATH

override_dh_strip:
	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4

# Bare git branch
opts="mode=git, \
      pgpmode=none, \
      pretty=1.0.0.27+git%cd.%h, \
      compression=xz, \
      dversionmangle=auto" \
https://chromium.googlesource.com/webm/libwebm \
HEAD debian

## libwebm 1.0.0.28

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,8 @@
 option(ENABLE_WERROR "Enable warnings as errors." OFF)
 option(ENABLE_WEBM_PARSER "Enables new parser API." OFF)
 
-if(WIN32)
+if(WIN32 OR CYGWIN OR MSYS)
+  # Allow use of rand_r() / fdopen() and other POSIX functions.
   require_cxx_flag_nomsvc("-std=gnu++11")
 else()
   require_cxx_flag_nomsvc("-std=c++11")
@@ -247,4 +248,3 @@
     "${LIBWEBM_SRC_DIR}/webm_parser/tests/id_element_parser_test.cc"
     "${LIBWEBM_SRC_DIR}/webm_parser/tests/id_parser_test.cc"
     "${LIBWEBM_SRC_DIR}/webm_parser/tests/info_parser_test.cc"
-    "${LIBWEBM_SRC_DIR}/webm_parser/tests/int_parser_test.cc"

=== debian/changelog ===
libwebm (1.0.0.28-1) unstable; urgency=medium

  * New upstream version 1.0.0.28
  * Switch to git tags in d/watch
  * Bump library version in patch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 08 May 2021 21:47:39 +0000

=== debian/control ===
Source: libwebm
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13),
 cmake,
 libgmock-dev (>= 1.10),
 libgtest-dev (>= 1.10),
 pkg-config,
 python3
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://chromium.googlesource.com/webm/libwebm
Vcs-Git: https://salsa.debian.org/multimedia-team/libwebm.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libwebm

Package: libwebm1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: WebM parser library
 This library provides WebM parser and related tools. It is
 developed by Google as part of Chromium project, but can be
 used in other projects.

Package: libwebm-tools
Section: video
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: WebM parser library (binary tools)
 This library provides WebM parser and related tools. It is
 developed by Google as part of Chromium project, but can be
 used in other projects.
 .
 This package installs tools: webm_info, vttdemux etc.

Package: libwebm-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libwebm1 (= ${binary:Version}),
         ${misc:Depends}
Description: WebM parser library (development files)
 This library provides WebM parser and related tools. It is
 developed by Google as part of Chromium project, but can be
 used in other projects.
 .
 This package installs only files needed for development:
 header, libraries.

=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,3 @@
 		./webm2pes_tests && \
 		./webm_parser_tests && \
 		unset LIBWEBM_TEST_DATA_PATH
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## libwebm 1.0.0.29

=== debian/changelog ===
libwebm (1.0.0.29-1) unstable; urgency=medium

  * New upstream version 1.0.0.29
  * Bump Standards version to 4.6.1 - no changes required
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 18 Nov 2022 22:00:54 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libgtest-dev (>= 1.10),
  pkg-config,
  python3
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://chromium.googlesource.com/webm/libwebm
 Vcs-Git: https://salsa.debian.org/multimedia-team/libwebm.git

## libwebm 1.0.0.30

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,19 +1,21 @@
-##  Copyright (c) 2015 The WebM project authors. All Rights Reserved.
-##
-##  Use of this source code is governed by a BSD-style license
-##  that can be found in the LICENSE file in the root of the source
-##  tree. An additional intellectual property rights grant can be found
-##  in the file PATENTS.  All contributing project authors may
-##  be found in the AUTHORS file in the root of the source tree.
+#  Copyright (c) 2015 The WebM project authors. All Rights Reserved.
+#
+#  Use of this source code is governed by a BSD-style license
+#  that can be found in the LICENSE file in the root of the source
+#  tree. An additional intellectual property rights grant can be found
+#  in the file PATENTS.  All contributing project authors may
+#  be found in the AUTHORS file in the root of the source tree.
 cmake_minimum_required(VERSION 3.2)
 project(LIBWEBM CXX)
 
 include(GNUInstallDirs)
 include("${CMAKE_CURRENT_SOURCE_DIR}/build/cxx_flags.cmake")
 
-if (NOT BUILD_SHARED_LIBS)
+if(BUILD_SHARED_LIBS)
+  set(CMAKE_POSITION_INDEPENDENT_CODE ON)
+else()
   include("${CMAKE_CURRENT_SOURCE_DIR}/build/msvc_runtime.cmake")
-endif ()
+endif()
 
 set(LIBWEBM_SRC_DIR "${CMAKE_CURRENT_SOURCE_DIR}")
 
@@ -24,8 +26,11 @@
 option(ENABLE_IWYU "Enables include-what-you-use support." OFF)
 option(ENABLE_WERROR "Enable warnings as errors." OFF)
 option(ENABLE_WEBM_PARSER "Enables new parser API." OFF)
-
-if(WIN32 OR CYGWIN OR MSYS)
+option(ENABLE_SAMPLE_PROGRAMS "Enables building sample programs." ON)
+
+if(WIN32
+   OR CYGWIN
+   OR MSYS)
   # Allow use of rand_r() / fdopen() and other POSIX functions.
   require_cxx_flag_nomsvc("-std=gnu++11")
 else()
@@ -39,42 +44,51 @@
 # Set up compiler flags and build properties.
 include_directories("${LIBWEBM_SRC_DIR}")
 
-if (MSVC)
+if(MSVC)
+  set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
   add_cxx_flag_if_supported("/W4")
   # Disable MSVC warnings that suggest making code non-portable.
   add_cxx_flag_if_supported("/wd4996")
-  if (ENABLE_WERROR)
+  if(ENABLE_WERROR)
     add_cxx_flag_if_supported("/WX")
-  endif ()
-else ()
+  endif()
+else()
   add_cxx_flag_if_supported("-Wall")
+  add_cxx_flag_if_supported("-Wc++14-compat")
+  add_cxx_flag_if_supported("-Wc++17-compat")
+  add_cxx_flag_if_supported("-Wc++20-compat")
   add_cxx_flag_if_supported("-Wextra")
   add_cxx_flag_if_supported("-Wnarrowing")
   add_cxx_flag_if_supported("-Wno-deprecated")
   add_cxx_flag_if_supported("-Wshorten-64-to-32")
-  if (ENABLE_WERROR)
+  if(ENABLE_WERROR)
     add_cxx_flag_if_supported("-Werror")
-  endif ()
-endif ()
+  endif()
+endif()
 
 # Source list variables.
 set(dumpvtt_sources "${LIBWEBM_SRC_DIR}/dumpvtt.cc")
 
+set(libwebm_common_public_headers "${LIBWEBM_SRC_DIR}/common/webmids.h")
+
 set(libwebm_common_sources
+    ${libwebm_common_public_headers}
     "${LIBWEBM_SRC_DIR}/common/file_util.cc"
     "${LIBWEBM_SRC_DIR}/common/file_util.h"
     "${LIBWEBM_SRC_DIR}/common/hdr_util.cc"
-    "${LIBWEBM_SRC_DIR}/common/hdr_util.h"
-    "${LIBWEBM_SRC_DIR}/common/webmids.h")
-
-set(mkvmuxer_sources
-    "${LIBWEBM_SRC_DIR}/mkvmuxer/mkvmuxer.cc"
+    "${LIBWEBM_SRC_DIR}/common/hdr_util.h")
+
+set(mkvmuxer_public_headers
     "${LIBWEBM_SRC_DIR}/mkvmuxer/mkvmuxer.h"
     "${LIBWEBM_SRC_DIR}/mkvmuxer/mkvmuxertypes.h"
+    "${LIBWEBM_SRC_DIR}/mkvmuxer/mkvmuxerutil.h"
+    "${LIBWEBM_SRC_DIR}/mkvmuxer/mkvwriter.h")
+
+set(mkvmuxer_sources
+    ${mkvmuxer_public_headers}
+    "${LIBWEBM_SRC_DIR}/mkvmuxer/mkvmuxer.cc"
     "${LIBWEBM_SRC_DIR}/mkvmuxer/mkvmuxerutil.cc"
-    "${LIBWEBM_SRC_DIR}/mkvmuxer/mkvmuxerutil.h"
     "${LIBWEBM_SRC_DIR}/mkvmuxer/mkvwriter.cc"
-    "${LIBWEBM_SRC_DIR}/mkvmuxer/mkvwriter.h"
     "${LIBWEBM_SRC_DIR}/common/webmids.h")
 
 set(mkvmuxer_sample_sources
@@ -87,11 +101,12 @@
     "${LIBWEBM_SRC_DIR}/testing/test_util.cc"
     "${LIBWEBM_SRC_DIR}/testing/test_util.h")
 
+set(mkvparser_public_headers "${LIBWEBM_SRC_DIR}/mkvparser/mkvparser.h"
+                             "${LIBWEBM_SRC_DIR}/mkvparser/mkvreader.h")
+
 set(mkvparser_sources
-    "${LIBWEBM_SRC_DIR}/mkvparser/mkvparser.cc"
-    "${LIBWEBM_SRC_DIR}/mkvparser/mkvparser.h"
+    ${mkvparser_public_headers} "${LIBWEBM_SRC_DIR}/mkvparser/mkvparser.cc"
     "${LIBWEBM_SRC_DIR}/mkvparser/mkvreader.cc"
-    "${LIBWEBM_SRC_DIR}/mkvparser/mkvreader.h"
     "${LIBWEBM_SRC_DIR}/common/webmids.h")
 
 set(mkvparser_sample_sources "${LIBWEBM_SRC_DIR}/mkvparser_sample.cc")
@@ -115,11 +130,6 @@
     "${LIBWEBM_SRC_DIR}/common/vp9_level_stats.h"
     "${LIBWEBM_SRC_DIR}/testing/test_util.cc"
     "${LIBWEBM_SRC_DIR}/testing/test_util.h")
-
-set(vttdemux_sources
-    "${LIBWEBM_SRC_DIR}/vttdemux.cc"
-    "${LIBWEBM_SRC_DIR}/webvtt/webvttparser.cc"
-    "${LIBWEBM_SRC_DIR}/webvtt/webvttparser.h")
 
 set(webm_parser_public_headers
     "${LIBWEBM_SRC_DIR}/webm_parser/include/webm/buffer_reader.h"
@@ -242,9 +252,3 @@
     "${LIBWEBM_SRC_DIR}/webm_parser/tests/cues_parser_test.cc"
     "${LIBWEBM_SRC_DIR}/webm_parser/tests/date_parser_test.cc"
     "${LIBWEBM_SRC_DIR}/webm_parser/tests/ebml_parser_test.cc"
-    "${LIBWEBM_SRC_DIR}/webm_parser/tests/edition_entry_parser_test.cc"
-    "${LIBWEBM_SRC_DIR}/webm_parser/tests/element_test.cc"
-    "${LIBWEBM_SRC_DIR}/webm_parser/tests/float_parser_test.cc"
-    "${LIBWEBM_SRC_DIR}/webm_parser/tests/id_element_parser_test.cc"
-    "${LIBWEBM_SRC_DIR}/webm_parser/tests/id_parser_test.cc"
-    "${LIBWEBM_SRC_DIR}/webm_parser/tests/info_parser_test.cc"

=== debian/changelog ===
libwebm (1.0.0.30-6) unstable; urgency=medium

  * Team upload.
  * debian/patches/0004-Build-in-c-14-instead-of-c-11.patch:
    Mark as Forwarded: not-needed, this patch is solely for Debian's
    googletest compatibility and not needed upstream.
  * debian/patches/0007,0008:
    Apply upstream-proposed patch to fix FTBFS on big-endian
    architectures. (Should solve #1038827)
  * debian/tests/control: Do not restrict architecture for autopkgtest.
  * debian/rules:
    + No longer try to enable ENABLE_IWYU and explicitly disable it.
      It is of little benefit for building a shared libarary. Besides,
      this build flag never took effect in the past due to missing
      build-dependency. (Closes: #1038801)
    + Re-enable tests unconditionally on all architectures.

 -- Boyuan Yang <byang@debian.org>  Fri, 07 Jul 2023 22:47:35 -0400

libwebm (1.0.0.30-5) unstable; urgency=medium

  * Team upload.
  * debian/patches/0006-test_util.h-use-cstdint-instead-of-stdint.h.patch:
    Add patch from upstream to fix FTBFS with GCC 13. (Closes: #1037748)

 -- Boyuan Yang <byang@debian.org>  Thu, 29 Jun 2023 10:39:52 -0400

libwebm (1.0.0.30-4) unstable; urgency=medium

  * Team upload.
  * debian/tests/control: Limit autopkgtest architecture to
    release architectures; s390x excluded due to known failed
    tests (See #1038827).

 -- Boyuan Yang <byang@debian.org>  Sat, 24 Jun 2023 15:40:24 -0400

libwebm (1.0.0.30-3) unstable; urgency=medium

  * Team upload.
  * debian/patches/0005: Replace my patch with upstream-provided
    patch.
  * debian/tests/: Add autopkgtest using upstream testsuite.
  * debian/rules: Allow test failure on big-endian architectures
    fow now. (See #1038827)

 -- Boyuan Yang <byang@debian.org>  Thu, 22 Jun 2023 14:43:03 -0400

libwebm (1.0.0.30-2) unstable; urgency=medium

  * Team upload.
  * debian/patches/:
    + 0005-CMakeLists.txt-Restore-nested-include-dir-hierarchy.patch:
      Restore nested header installation for mkvmuxer and mkvparser.

 -- Boyuan Yang <byang@debian.org>  Wed, 21 Jun 2023 13:50:20 -0400

libwebm (1.0.0.30-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.0.30.
    + Upstream is now providing mkv* public headers by default.
      (Closes: #1030890)
  * debian/control:
    + Mark googletest build-dependencies as <!nocheck>.
  * debian/rules:
    + Enable ENABLE_SAMPLE_PROGRAMS to build binaries in libwebm-tools.
    - Drop -DUSE_LTO. This flag has no effect in current build.
  * debian/patches: Refresh patches against new CMakeLists.txt.
    + Add patch 0004 to enforce building in c++14 instead of c++11.
      This is due to googletest dropping support of c++11 build.

 -- Boyuan Yang <byang@debian.org>  Wed, 21 Jun 2023 10:35:29 -0400

## libwebm 1.0.0.31

=== debian/changelog ===
libwebm (1.0.0.31-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:48:06 +0200

libwebm (1.0.0.31-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 1.0.0.31.
    + Fixes test failures on big-endian architecture.
  * debian/patches/: Drop patch 0005-0008, merged upstream.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Sat, 28 Oct 2023 15:15:48 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: libwebm
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13),
  cmake,
- libgmock-dev (>= 1.10),
- libgtest-dev (>= 1.10),
+ libgmock-dev (>= 1.10) <!nocheck>,
+ libgtest-dev (>= 1.10) <!nocheck>,
  pkg-config,
- python3
-Standards-Version: 4.6.1
+ python3,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://chromium.googlesource.com/webm/libwebm
 Vcs-Git: https://salsa.debian.org/multimedia-team/libwebm.git

=== debian/rules ===
--- 
+++ 
@@ -22,12 +22,14 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_BUILD_TYPE=ReleaseWithDebInfo \
+	dh_auto_configure -- \
+            -DCMAKE_BUILD_TYPE=ReleaseWithDebInfo \
             -DBUILD_SHARED_LIBS=ON \
-            -DENABLE_IWYU=ON \
+            -DENABLE_SAMPLE_PROGRAMS=ON \
+            -DENABLE_IWYU=OFF \
             -DENABLE_WEBM_PARSER=ON \
             ${CONFIGURE_OPTS} \
-            -DUSE_LTO=1
+            $(NULL)
 
 override_dh_auto_test:
 	cd obj-$(DEB_HOST_GNU_TYPE) && \

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@
Restrictions: build-needed, allow-stderr

#Tests: libwebm-dev
#Depends: build-essential, libwebm-dev, pkg-config
#Restrictions: allow-stderr, superficial

## libwebm 1.0.0.32

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #  tree. An additional intellectual property rights grant can be found
 #  in the file PATENTS.  All contributing project authors may
 #  be found in the AUTHORS file in the root of the source tree.
-cmake_minimum_required(VERSION 3.2)
+cmake_minimum_required(VERSION 3.16)
 project(LIBWEBM CXX)
 
 include(GNUInstallDirs)
@@ -97,7 +97,7 @@
     "${LIBWEBM_SRC_DIR}/sample_muxer_metadata.h")
 
 set(mkvmuxer_tests_sources
-    "${LIBWEBM_SRC_DIR}/testing/mkvmuxer_tests.cc"
+    "${LIBWEBM_SRC_DIR}/testing/mkvmuxer_test.cc"
     "${LIBWEBM_SRC_DIR}/testing/test_util.cc"
     "${LIBWEBM_SRC_DIR}/testing/test_util.h")
 
@@ -111,12 +111,12 @@
 
 set(mkvparser_sample_sources "${LIBWEBM_SRC_DIR}/mkvparser_sample.cc")
 set(mkvparser_tests_sources
-    "${LIBWEBM_SRC_DIR}/testing/mkvparser_tests.cc"
+    "${LIBWEBM_SRC_DIR}/testing/mkvparser_test.cc"
     "${LIBWEBM_SRC_DIR}/testing/test_util.cc"
     "${LIBWEBM_SRC_DIR}/testing/test_util.h")
 
 set(vp9_header_parser_tests_sources
-    "${LIBWEBM_SRC_DIR}/common/vp9_header_parser_tests.cc"
+    "${LIBWEBM_SRC_DIR}/common/vp9_header_parser_test.cc"
     "${LIBWEBM_SRC_DIR}/common/vp9_header_parser.cc"
     "${LIBWEBM_SRC_DIR}/common/vp9_header_parser.h"
     "${LIBWEBM_SRC_DIR}/testing/test_util.cc"
@@ -125,7 +125,7 @@
 set(vp9_level_stats_tests_sources
     "${LIBWEBM_SRC_DIR}/common/vp9_header_parser.cc"
     "${LIBWEBM_SRC_DIR}/common/vp9_header_parser.h"
-    "${LIBWEBM_SRC_DIR}/common/vp9_level_stats_tests.cc"
+    "${LIBWEBM_SRC_DIR}/common/vp9_level_stats_test.cc"
     "${LIBWEBM_SRC_DIR}/common/vp9_level_stats.cc"
     "${LIBWEBM_SRC_DIR}/common/vp9_level_stats.h"
     "${LIBWEBM_SRC_DIR}/testing/test_util.cc"

=== debian/changelog ===
libwebm (1.0.0.32-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 1.0.0.32.
  * debian/patches: Refresh patches.
  * debian/rules: Explicitly set ENABLE_TESTS to ON or OFF.
  * debian/tests/: Rewrite autopkgtest with a more reasonable setup.

 -- Boyuan Yang <byang@debian.org>  Sat, 16 Aug 2025 21:35:09 -0400

=== debian/control ===
Source: libwebm
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13),
 cmake (>= 3.16),
 libgmock-dev (>= 1.10) <!nocheck>,
 libgtest-dev (>= 1.10) <!nocheck>,
 pkgconf,
 python3,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://chromium.googlesource.com/webm/libwebm
Vcs-Git: https://salsa.debian.org/multimedia-team/libwebm.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libwebm
Description: WebM parser library
 This library provides WebM parser and related tools. It is
 developed by Google as part of Chromium project, but can be
 used in other projects.

Package: libwebm1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: libwebm-tools
Section: video
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} (binary tools)
 ${source:Extended-Description}
 .
 This package installs tools: webm_info, vttdemux etc.

Package: libwebm-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libwebm1 (= ${binary:Version}),
         ${misc:Depends}
Description: ${source:Synopsis} (development files)
 ${source:Extended-Description}
 .
 This package installs only files needed for development:
 header, libraries.

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,8 @@
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	CONFIGURE_OPTS := -DENABLE_TESTS=ON
+else
+	CONFIGURE_OPTS := -DENABLE_TESTS=OFF
 endif
 
 %:

=== debian/tests/control ===
Tests: system-libwebm
Depends: build-essential, libwebm-dev, libgtest-dev, libgmock-dev, cmake
Restrictions: allow-stderr

=== debian/watch ===
version=4

# Bare git branch
opts="mode=git, \
      pgpmode=none, \
      compression=xz, \
      uversionmangle=s/libwebm-//, \
      dversionmangle=auto" \
https://chromium.googlesource.com/webm/libwebm \
refs/tags/libwebm-([\d\.]+) debian
